ALTER FUNCTION dbo.fn_fco_subtipo_cotizante
(
    @pch_compania char(4),
    @pch_trabajador char(10)
)
/* definicion para ABBOTT */
RETURNS tinyint
AS
BEGIN
    DECLARE @vti_subtipo tinyint

/*
    SELECT @vti_subtipo = CASE WHEN relacion_laboral = '?' THEN 1 ELSE 0 END
    FROM trabajadores_grales
    WHERE compania = @pch_compania
      AND trabajador = @pch_trabajador
*/
    Select @vti_subtipo = Case When dato = '17' Then 4 Else 0 End 
    From rel_trab_agr
    Where agrupacion = 'COAT048'

    RETURN ISNULL(@vti_subtipo, 0)
END
go
